Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

Already on GitHub? Sign in to your account

Roodi doesn't work in ruby 1.9 #8

Closed
aselder opened this Issue Mar 17, 2011 · 2 comments

Comments

Projects
None yet
2 participants

aselder commented Mar 17, 2011

It looks like the default roodi.yml file is bad. The new more strict parser complains and blows up.

Instead of:
ModuleLineCountCheck: { line_count: 300 }

Should be
ModuleLineCountCheck:
line_count: 300

aselder commented Mar 17, 2011

Well spaces before the last line_count: 300, but you get the idea.

Contributor

evjan commented Aug 7, 2013

This seems to have been fixed in a019826

@belt belt referenced this issue Oct 31, 2011

Closed

roodi.yml invalid #9

@evjan evjan closed this Aug 8, 2013

@gentoo-repo-qa-bot gentoo-repo-qa-bot pushed a commit to gentoo-mirror/graaff that referenced this issue Aug 13, 2015

@graaff graaff Fix roodi.yml files for ruby19 Psych parser: roodi/roodi#8
Package-Manager: portage-2.1.11.31
Manifest-Sign-Key: 0x8883FA56A308A8D7!
3870eb7
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment